package cz.muni.fi.pa165.core.rest;

import cz.muni.fi.pa165.core.api.FlightApiDelegate;
import cz.muni.fi.pa165.core.model.FlightDto;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

@RestController
public class FlightController implements FlightApiDelegate {

    private final List<FlightDto> flightDtos = new CopyOnWriteArrayList<>();

    @Override
    public ResponseEntity<List<FlightDto>> getAllFlights() {
        flightDtos.add(new FlightDto().id(1L));
        return new ResponseEntity<>(flightDtos, HttpStatus.OK);
    }
}
